package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 成品采购管理 用于选择模板
type Product struct {
	Id    primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name  string             `bson:"name,omitempty" json:"name"`
	Unit  string             `bson:"unit,omitempty" json:"unit"`
	Norm  string             `bson:"norm,omitempty" json:"norm"`
	Price float64            `bson:"price,omitempty" json:"price"`
	// 分类
	Category string `bson:"category,omitempty" json:"category"`

	// 单个工艺备注
	Remark     string    `bson:"remark,omitempty" json:"remark"`
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
